Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.samcivics.type.v2
Class AtmAndChildrenType

    java.lang.Object
      be.fgov.ehealth.samcivics.type.v2.BaseType
          be.fgov.ehealth.samcivics.type.v2.AtmType
              be.fgov.ehealth.samcivics.type.v2.AtmAndChildrenType

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2017-05-30T09:00:44+02:00",
               comments="JAXB RI v2.2.11")
    public class AtmAndChildrenType

extends AtmType
implements Serializable

Java class for AtmAndChildrenType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="AtmAndChildrenType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:samcivics:type:v2}AtmType">
           <sequence>
             <element name="Ampp" type="{urn:be:fgov:ehealth:samcivics:type:v2}FindAmppType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`AtmAndChildrenType()`

Method Summary
`List<FindAmppType>` | `getAmpps()` Gets the value of the ampps property.

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.AtmType
`getAtmId, getName, getSpecialtyOrigin, setAtmId, setName, setSpecialtyOrigin`

Methods inherited from class be.fgov.ehealth.samcivics.type.v2.BaseType
`getEndDate, getStartDate, setEndDate, setStartDate`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AtmAndChildrenType

    public AtmAndChildrenType()

Method Detail

### getAmpps

    public List<FindAmppType> getAmpps()

  Gets the value of the ampps property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the ampps property.

  For example, to add a new item, do as follows:

          getAmpps().add(newItem);

  Objects of the following type(s) are allowed in the list `FindAmppType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging generic 3.12.1 API
Copyright © {inceptionYear}-2017 eHealth. All Rights Reserved.